Loading...
Searching...
No Matches
Dune::Amg::SeqOverlappingSchwarzSmootherArgs< T > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::SeqOverlappingSchwarzSmootherArgs< T >:

## Public Types

enum | Overlap { vertex , aggregate , pairwise , none }
typedef FieldTraits< T >::real_type | RelaxationFactor
| The type of the relaxation factor.

## Public Member Functions

| SeqOverlappingSchwarzSmootherArgs (Overlap overlap_=vertex, bool onthefly_=false)

## Public Attributes

Overlap | overlap
bool | onthefly
int | iterations
| The number of iterations to perform.
RelaxationFactor | relaxationFactor
| The relaxation factor to use.

The documentation for this struct was generated from the following file:

- smoother.hh